#### 7.10.4.10 lieBracket

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  lieBracket(a,b[,N]); a,b letterplace polynomials, N an optional integer

Return:
  poly

Assume:
  basering has a letterplace ring structure

Purpose:
  compute the Lie bracket [a,b] = ab - ba between letterplace polynomials

Note:
  if N>1 is specified, then the left normed bracket [a,[...[a,b]]]] is computed.

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y),dp;
    ring R = freeAlgebra(r, 4);
    poly a = x*y; poly b = y;
    lieBracket(a,b);
    ==> -y*x*y+x*y*y
    lieBracket(x,y,2);
    ==> y*x*x-2*x*y*x+x*x*y

User manual for Singular version 4.4.1, 2025, generated by texi2html.